package com.bonus.zlpt.equip.service.impl;

import java.util.List;

import com.bonus.zlpt.equip.api.domain.HotSearch;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.zlpt.equip.mapper.HotSearchMapper;
import com.bonus.zlpt.equip.service.IHotSearchService;

/**
 * 热搜设备Service业务层处理
 * 
 * @author xsheng
 * @date 2023-12-02
 */
@Service
public class HotSearchServiceImpl implements IHotSearchService 
{
    @Autowired
    private HotSearchMapper hotSearchMapper;

    /**
     * 查询热搜设备
     * 
     * @param id 热搜设备主键
     * @return 热搜设备
     */
    @Override
    public HotSearch selectHotSearchById(Long id)
    {
        return hotSearchMapper.selectHotSearchById(id);
    }

    /**
     * 查询热搜设备列表
     * 
     * @param hotSearch 热搜设备
     * @return 热搜设备
     */
    @Override
    public List<HotSearch> selectHotSearchList(HotSearch hotSearch)
    {
        return hotSearchMapper.selectHotSearchList(hotSearch);
    }

    /**
     * 新增热搜设备
     * 
     * @param hotSearch 热搜设备
     * @return 结果
     */
    @Override
    public int insertHotSearch(HotSearch hotSearch)
    {
        return hotSearchMapper.insertHotSearch(hotSearch);
    }

    /**
     * 修改热搜设备
     * 
     * @param hotSearch 热搜设备
     * @return 结果
     */
    @Override
    public int updateHotSearch(HotSearch hotSearch)
    {
        return hotSearchMapper.updateHotSearch(hotSearch);
    }

    /**
     * 批量删除热搜设备
     * 
     * @param ids 需要删除的热搜设备主键
     * @return 结果
     */
    @Override
    public int deleteHotSearchByIds(Long[] ids)
    {
        return hotSearchMapper.deleteHotSearchByIds(ids);
    }

    /**
     * 删除热搜设备信息
     * 
     * @param id 热搜设备主键
     * @return 结果
     */
    @Override
    public int deleteHotSearchById(Long id)
    {
        return hotSearchMapper.deleteHotSearchById(id);
    }
}
